This page was not yet optimized for use on mobile devices.
Waveserver 5 Control Processor Module
Certificate details
| Certificate ID | #5541 |
|---|---|
| Status | active |
| Validation dates | 05.10.2026 |
| Sunset date | 04-10-2031 |
| Standard | FIPS 140-3 |
| Security level | 2 |
| Type | Hardware |
| Embodiment | MultiChipEmbed |
| Caveat | When installed, initialized and configured as specified in Section 11.1 of the Security Policy. No assurance of minimum security of SSPs (e.g., keys, bit strings) that are externally loaded, or of SSPs established with externally loaded SSPs. |
| Exceptions |
|
| Description | The Ciena Corporation Waveserver 5 Control Processor Module is a multi-chip embedded hardware cryptographic module. The module is a purpose-built field replaceable unit intended for operation within the Ciena Waveserver 5 chassis. Its primary function is management of the Waveserver 5 chassis, which includes one or more Waveserver 5 Encryption Modules. |
| Vendor | Ciena Corporation http://www.ciena.com |
| Lab | Acumen Security |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
policy file processing did not finish successfully.
Show more...
Download pdf:
OK
Convert pdf to text:
OK
Extract keywords:
ERROR
Extracted keywords
Symmetric Algorithms
AES-128, AES-192, AES-256, AES-, CAST, DES, 3DES, Triple-DES, TDEA, HMACAsymmetric Algorithms
RSA 2048, ECDH, ECDSA, DHE, DHHash functions
SHA-1, MD5, PBKDFSchemes
MAC, Key AgreementProtocols
SSHv2, SSH, TLS v1.3, TLS v1.2, TLS, TLS 1.3, TLS 1.2Randomness
DRBG, RBGElliptic Curves
P-256, P-384, P-521Block cipher modes
CBC, CTR, GCMTrusted Execution Environments
PSP, SSCVendor
InfineonSecurity level
Level 2, Level 1, level 2Standards
FIPS 140-3, FIPS186-4, FIPS 186-4, FIPS 198-1, FIPS 180-4, FIPS186, SP 800-38A, SP 800-38D, SP 800-90A, SP 800-56A, SP 800-108, SP 800-135, SP 800-132, SP 800-67, NIST SP 800-132, NIST SP 800-108, NIST SP 800-90B, PKCS 1, PKCS1, RFC7627, RFC 5288, RFC 5246, RFC 8446, RFC762, ISO/IEC 19790, X.509Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 5541,
"dgst": "e81b0232009842c5",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"TDES-CBCA4855",
"SHA2-256A4855",
"ECDSA KeyVer (FIPS186-4)A4855",
"HMAC-SHA2-512A4855",
"KAS-FFC-SSC Sp800-56Ar3A4855",
"Safe Primes Key VerificationA4855",
"SHA2-384A4855",
"AES-GCMA4855",
"AES-CTRA4855",
"KDF SP800-108A4855",
"ECDSA KeyGen (FIPS186-4)A4855",
"AES-ECBA4855",
"RSA SigVer (FIPS186-4)A4855",
"HMAC-SHA2-256A4855",
"KDF SSHA4855",
"PBKDFA4855",
"Hash DRBGA4855",
"TLS v1.3 KDFA4855",
"Safe Primes Key GenerationA4855",
"HMAC-SHA2-384A4855",
"RSA SigGen (FIPS186-4)A4855",
"SHA2-512A4855",
"RSA KeyGen (FIPS186-4)A4855",
"SHA-1A4855",
"TLS v1.2 KDF RFC7627A4855",
"KAS-ECC-SSC Sp800-56Ar3A4855",
"ECDSA SigGen (FIPS186-4)A4855",
"AES-CBCA4855",
"ECDSA SigVer (FIPS186-4)A4855",
"HMAC-SHA-1A4855"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"5"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 0,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 48
},
"ECDSA": {
"ECDSA": 78
}
},
"FF": {
"DH": {
"DH": 48,
"DHE": 1
}
},
"RSA": {
"RSA 2048": 7
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 2
},
"CTR": {
"CTR": 1
},
"GCM": {
"GCM": 7
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"SSH": {
"SSH": 124,
"SSHv2": 2
},
"TLS": {
"TLS": {
"TLS": 131,
"TLS 1.2": 11,
"TLS 1.3": 21,
"TLS v1.2": 11,
"TLS v1.3": 12
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 3
},
"MAC": {
"MAC": 4
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 48,
"P-384": 22,
"P-521": 36
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 2,
"#2": 1,
"#5": 1
}
},
"fips_certlike": {
"Certlike": {
"- PKCS 1": 1,
"AES-128": 3,
"AES-192": 3,
"AES-256": 3,
"HMAC- SHA-1": 1,
"HMAC-SHA-1": 4,
"PKCS 1": 1,
"PKCS1": 4,
"RSA 112": 2,
"RSA 128": 1,
"RSA 2048": 7,
"SHA-1": 8,
"SHA2- 256": 7,
"SHA2- 384": 3,
"SHA2- 512": 4,
"SHA2-256": 15,
"SHA2-384": 16,
"SHA2-512": 12
}
},
"fips_security_level": {
"Level": {
"Level 1": 1,
"Level 2": 3,
"level 2": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 2
}
},
"PBKDF": {
"PBKDF": 8
},
"SHA": {
"SHA1": {
"SHA-1": 8
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 78
},
"RNG": {
"RBG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-3": 14,
"FIPS 180-4": 1,
"FIPS 186-4": 5,
"FIPS 198-1": 2,
"FIPS186": 17,
"FIPS186-4": 42
},
"ISO": {
"ISO/IEC 19790": 4
},
"NIST": {
"NIST SP 800-108": 1,
"NIST SP 800-132": 1,
"NIST SP 800-90B": 2,
"SP 800-108": 1,
"SP 800-132": 1,
"SP 800-135": 3,
"SP 800-38A": 2,
"SP 800-38D": 4,
"SP 800-56A": 3,
"SP 800-67": 1,
"SP 800-90A": 1
},
"PKCS": {
"PKCS 1": 1,
"PKCS1": 2
},
"RFC": {
"RFC 5246": 1,
"RFC 5288": 1,
"RFC 8446": 2,
"RFC762": 2,
"RFC7627": 3
},
"X509": {
"X.509": 9
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES-": 8,
"AES-128": 3,
"AES-192": 3,
"AES-256": 3
},
"CAST": {
"CAST": 59
}
},
"DES": {
"3DES": {
"3DES": 2,
"TDEA": 1,
"Triple-DES": 1
},
"DES": {
"DES": 2
}
},
"constructions": {
"MAC": {
"HMAC": 3
}
}
},
"tee_name": {
"AMD": {
"PSP": 30
},
"IBM": {
"SSC": 14
}
},
"tls_cipher_suite": {},
"vendor": {
"Infineon": {
"Infineon": 2
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"TDES-CBCA4855",
"SHA2-256A4855",
"ECDSA KeyVer (FIPS186-4)A4855",
"HMAC-SHA2-512A4855",
"KAS-FFC-SSC Sp800-56Ar3A4855",
"Safe Primes Key VerificationA4855",
"SHA2-384A4855",
"AES-GCMA4855",
"AES-CTRA4855",
"KDF SP800-108A4855",
"ECDSA KeyGen (FIPS186-4)A4855",
"AES-ECBA4855",
"RSA SigVer (FIPS186-4)A4855",
"HMAC-SHA2-256A4855",
"KDF SSHA4855",
"PBKDFA4855",
"Hash DRBGA4855",
"TLS v1.3 KDFA4855",
"Safe Primes Key GenerationA4855",
"HMAC-SHA2-384A4855",
"RSA SigGen (FIPS186-4)A4855",
"SHA2-512A4855",
"RSA KeyGen (FIPS186-4)A4855",
"SHA-1A4855",
"TLS v1.2 KDF RFC7627A4855",
"KAS-ECC-SSC Sp800-56Ar3A4855",
"ECDSA SigGen (FIPS186-4)A4855",
"AES-CBCA4855",
"ECDSA SigVer (FIPS186-4)A4855",
"HMAC-SHA-1A4855"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": []
},
"policy_metadata": {
"/CreationDate": "D:20260916083959-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word for Microsoft 365",
"/ModDate": "D:20260916083959-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word for Microsoft 365",
"pdf_file_size_bytes": 968008,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://csrc.nist.gov/projects/cryptographic-module-validation-program"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 82
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": false,
"json_hash": null,
"source_hash": "55d658a37ba1f9fc39f0e99b46d5586810320e6cd8edd0b9e38630aa1a4fca4c",
"txt_hash": "b1a052abcf44d1b9c40ee87927c28f7e16e3249eb5988fdb14384dd70c084787"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When installed, initialized and configured as specified in Section 11.1 of the Security Policy. No assurance of minimum security of SSPs (e.g., keys, bit strings) that are externally loaded, or of SSPs established with externally loaded SSPs.",
"certificate_pdf_url": null,
"date_sunset": "2031-10-04",
"description": "The Ciena Corporation Waveserver 5 Control Processor Module is a multi-chip embedded hardware cryptographic module. The module is a purpose-built field replaceable unit intended for operation within the Ciena Waveserver 5 chassis. Its primary function is management of the Waveserver 5 chassis, which includes one or more Waveserver 5 Encryption Modules.",
"embodiment": "MultiChipEmbed",
"exceptions": [
"Roles, services, and authentication: Level 3",
"Operational environment: N/A",
"Non-invasive security: N/A",
"Mitigation of other attacks: N/A"
],
"fw_versions": null,
"historical_reason": null,
"hw_versions": null,
"level": 2,
"mentioned_certs": {},
"module_name": "Waveserver 5 Control Processor Module",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-3",
"status": "active",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2026-10-05",
"lab": "Acumen Security",
"validation_type": "Initial"
}
],
"vendor": "Ciena Corporation",
"vendor_url": "http://www.ciena.com"
}
}